public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-qt/qt3d/
Date: Fri, 10 Dec 2021 13:19:25 +0000 (UTC)	[thread overview]
Message-ID: <1639142342.b3996f944fa7c420c29894bc7e71d22e02fb94dc.asturm@gentoo> (raw)

commit:     b3996f944fa7c420c29894bc7e71d22e02fb94dc
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 10 12:20:02 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Dec 10 13:19:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3996f94

dev-qt/qt3d: 5.15.2-r11 version bump at KDE dba14d48

"ComputeCommand: call markDirty(ComputeDirty) when enabled changes"
QTBUG: https://bugreports.qt.io/browse/QTBUG-86493

"ObjectPicker: markDirty(AllDirty) when we change the enabled property"
"OpenGL: Fix content not updated when using OnDemand and switching textures"
"OpenGL renderer: restore surface on context when shutting down"

Package-Manager: Portage-3.0.29, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qt3d/Manifest               |  1 +
 dev-qt/qt3d/qt3d-5.15.2-r11.ebuild | 46 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-qt/qt3d/Manifest b/dev-qt/qt3d/Manifest
index 8978ff750beb..9f47af6eeaab 100644
--- a/dev-qt/qt3d/Manifest
+++ b/dev-qt/qt3d/Manifest
@@ -1 +1,2 @@
 DIST qt3d-5.15.2-7edec6e0.tar.gz 86196121 BLAKE2B c6009fa8b94da1a498e14f61680be40cbc5e32e390d89911b5a7b7d19bae7c66e048101e6f3b6c1f7e5cc4e64da7ea801f4bf95c346b35d28a49866d9541e146 SHA512 73941c2052aeb9611cf24bbb7b3ba317e53207c080070bb5d602c9f2725d2ab305674e0f29b737ea62ff7a285b362ec53b3588b31c18635e250bc90081d9b5e7
+DIST qt3d-5.15.2-dba14d48.tar.gz 86196833 BLAKE2B b5a2333d890dab3b28d0cd1e47b217ff1bc2f772b3477650263e1754ad4e06a63d026350c5daf07e171bd64e097c847c65a8f5f6a538a8ddc9db20a8df2f7b20 SHA512 eb61c94c5438c9e68253958c0fcc60ec7592916e7fc08f723a4218bc24ce5536b25df5f46c97fd86ed19de2b0851a31779fbfdb7c23c70323338a98bbc77a650

diff --git a/dev-qt/qt3d/qt3d-5.15.2-r11.ebuild b/dev-qt/qt3d/qt3d-5.15.2-r11.ebuild
new file mode 100644
index 000000000000..6332be009912
--- /dev/null
+++ b/dev-qt/qt3d/qt3d-5.15.2-r11.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KDE_ORG_COMMIT=dba14d48611b9e9d59576172658779ab4a39b416
+inherit qt5-build
+
+DESCRIPTION="3D rendering module for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+# TODO: tools
+IUSE="gamepad gles2-only qml vulkan"
+
+RDEPEND="
+	=dev-qt/qtconcurrent-${QT5_PV}*
+	=dev-qt/qtcore-${QT5_PV}*
+	=dev-qt/qtgui-${QT5_PV}*:5=[vulkan=]
+	=dev-qt/qtnetwork-${QT5_PV}*
+	>=media-libs/assimp-4.0.0
+	gamepad? ( =dev-qt/qtgamepad-${QT5_PV}* )
+	qml? ( =dev-qt/qtdeclarative-${QT5_PV}*[gles2-only=] )
+"
+DEPEND="${RDEPEND}
+	vulkan? ( dev-util/vulkan-headers )
+"
+
+src_configure() {
+	local myqmakeargs=(
+		--
+		-system-assimp
+	)
+	qt5-build_src_configure
+}
+
+src_prepare() {
+	rm -r src/3rdparty/assimp/{code,contrib,include} || die
+
+	qt_use_disable_mod gamepad gamepad src/input/frontend/frontend.pri
+	qt_use_disable_mod qml quick src/src.pro
+
+	qt5-build_src_prepare
+}


             reply	other threads:[~2021-12-10 13:19 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-10 13:19 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-03  7:44 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qt3d/ Ionen Wolkens
2024-07-08 11:16 Arthur Zamarin
2024-07-08 10:09 Sam James
2024-06-08  5:27 Arthur Zamarin
2024-05-28 18:56 Arthur Zamarin
2024-05-17  5:49 Ionen Wolkens
2024-05-16 15:36 Arthur Zamarin
2024-04-13 17:50 Arthur Zamarin
2024-03-28  4:03 Yixun Lan
2024-03-27 12:44 Arthur Zamarin
2024-03-26 18:46 Arthur Zamarin
2023-09-26 19:48 Ionen Wolkens
2023-09-15  4:49 Sam James
2023-09-09 16:22 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-09-05 13:05 Ionen Wolkens
2023-07-26 13:31 Jimi Huotari
2023-07-20 19:41 Jimi Huotari
2023-06-10 13:33 Jimi Huotari
2023-05-23  2:52 Sam James
2023-01-09 11:13 Andreas Sturmlechner
2022-07-04 17:58 Arthur Zamarin
2022-06-14 17:32 Andreas Sturmlechner
2022-06-03 12:34 Joonas Niilola
2022-04-17 19:29 Sam James
2022-03-30 22:01 Yixun Lan
2022-02-25 18:53 Arthur Zamarin
2021-12-24 23:19 Andreas Sturmlechner
2021-12-16 12:29 Andreas Sturmlechner
2021-12-15 23:38 Sam James
2021-12-15 14:46 Jakov Smolić
2021-12-15 13:41 Jakov Smolić
2021-10-16  8:20 Andreas Sturmlechner
2021-09-30 18:20 Sam James
2021-08-26  9:34 Andreas Sturmlechner
2021-08-25 14:36 Andreas Sturmlechner
2020-10-12 16:15 Andreas Sturmlechner
2018-10-16 16:09 Mikle Kolyada
2017-06-11 12:38 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1639142342.b3996f944fa7c420c29894bc7e71d22e02fb94dc.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox